--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 9.5.2
-- Dumped by pg_dump version 9.5.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

SET search_path = public, pg_catalog;

ALTER TABLE ONLY public."Posts" DROP CONSTRAINT "Posts_pkey";
DROP TABLE public.posts_torrentz_2016;
DROP TABLE public."Posts";
DROP EXTENSION plpgsql;
DROP SCHEMA public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: Posts; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE "Posts" (
    "postId" character varying NOT NULL,
    post json,
    "foundTime" timestamp with time zone
);


ALTER TABLE "Posts" OWNER TO postgres;

--
-- Name: TABLE "Posts"; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE "Posts" IS 'Stores Social media Json messages/posts';


--
-- Name: posts_torrentz_2016; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE posts_torrentz_2016 (
    "postId" character varying,
    post json,
    "foundTime" timestamp with time zone
);


ALTER TABLE posts_torrentz_2016 OWNER TO postgres;

--
-- Data for Name: Posts; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Posts" ("postId", post, "foundTime") FROM stdin;
\.
COPY "Posts" ("postId", post, "foundTime") FROM '$$PATH$$/2105.dat';

--
-- Data for Name: posts_torrentz_2016; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY posts_torrentz_2016 ("postId", post, "foundTime") FROM stdin;
\.
COPY posts_torrentz_2016 ("postId", post, "foundTime") FROM '$$PATH$$/2106.dat';

--
-- Name: Posts_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Posts"
    ADD CONSTRAINT "Posts_pkey" PRIMARY KEY ("postId");


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

